package com.cartoon.live.wallpaper.net;

import okhttp3.Interceptor;
import okhttp3.Response;

import java.io.IOException;

public class myProgressInterceptor implements Interceptor {

    private final ProgressBody.ProgressListener progressListener;

    public myProgressInterceptor(ProgressBody.ProgressListener progressListener) {
        this.progressListener = progressListener;
    }

    @Override
    public Response intercept(Chain chain) throws IOException {
        Response originalResponse = chain.proceed(chain.request());
        String fileLength = originalResponse.header("File-Length");
        if (fileLength == null) {
            fileLength = "0";
        }
        return originalResponse.newBuilder()
                .body(new ProgressBody(originalResponse.body(), fileLength, progressListener))
                .build();
    }
}

